Skip to main content

Type Resource Curation

Description

Notification about a RESOURCE_CURATION event.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
CONDITIONAL

Brand ID

brandId (string) is provided when $.locationDetails.brandId is present.

Example Response Bodies

Brand

A RESOURCE_CURATION notification is generated when Apple Maps curates a brand resource. The organization calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Brand ownerApple MapsBrand curated by Apple Maps
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-10-01T17:22:21.00Z",
"type": "RESOURCE_CURATION",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654590",
"resourceDetails": {
"resourceType": "BRAND",
"resourceId": "9467895078742654921",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"state": "PUBLISHED"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-09-29T00:00:00Z;resourceType=in=(BRAND,LOCATION)&limit=1&after=8U54a61d9b495324"
}
}
Location

A RESOURCE_CURATION notification is generated when Apple Maps curates a location resource. The organization calls the notification API using their own orgId as the URI parameter; the access token encodes the authorization scope.

Notification ForProcess Initiated byTriggering Event
Location ownerApple MapsLocation curated by Apple Maps
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654525",
"createdDate": "2026-10-01T17:22:21.000Z",
"type": "RESOURCE_CURATION",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654557",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654509",
"etag": "f114c30e-7e7d-11ee-b962-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495373"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-09-29T00:00:00Z;resourceType=in=(BRAND,LOCATION)&limit=1&after=8U54a61d9b495373"
}
}